OpenGLRaw-1.3.0.0: A raw binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.Rendering.OpenGL.Raw.NV.VertexArrayRange

Contents

- Functions
- Tokens

Description

All raw functions and tokens from the NV_vertex_array_range extension not already in the OpenGL 3.1 core, see http://www.opengl.org/registry/specs/NV/vertex_array_range.txt.

Synopsis

- glVertexArrayRange :: GLsizei -> Ptr a -> IO ()
- glFlushVertexArrayRange :: IO ()
- gl_VERTEX_ARRAY_RANGE :: GLenum
- gl_VERTEX_ARRAY_RANGE_LENGTH :: GLenum
- gl_VERTEX_ARRAY_RANGE_VALID :: GLenum
- gl_MAX_VERTEX_ARRAY_RANGE_ELEMENT :: GLenum
- gl_VERTEX_ARRAY_RANGE_POINTER :: GLenum

# Functions

glVertexArrayRange :: GLsizei -> Ptr a -> IO ()

glFlushVertexArrayRange :: IO ()

# Tokens

gl_VERTEX_ARRAY_RANGE :: GLenum

gl_VERTEX_ARRAY_RANGE_LENGTH :: GLenum

gl_VERTEX_ARRAY_RANGE_VALID :: GLenum

gl_MAX_VERTEX_ARRAY_RANGE_ELEMENT :: GLenum

gl_VERTEX_ARRAY_RANGE_POINTER :: GLenum